<?php
date_default_timezone_set('America/Costa_Rica');

session_start();

 $usu=$_SESSION['username'];
 
	$perajuinv = $_SESSION['perajuinv']; 
		include('../conexion.php'); 
		if($_SESSION['tipo_usu']=='a' or $_SESSION['tipo_usu']=='s' or $_SESSION['tipo_usu']=='c'  ){
		}else{
			header('location:error.php');
		}
		if($_SESSION['tipo_usu']=='a'){
			$titulo='SUPERVISOR';
		}else{
			$titulo='USUARIO';
		}
$consulta = "SELECT * FROM usuarios WHERE usu='$usu'";
$resultado = $mysqli->query($consulta);
$row = $resultado->fetch_array();
 $nomb = $row["usu"];


$fechahoy=date("Y-m-d");


$fechahoy=date("Y-m-d");
$sel_fact="INSERT INTO lista_preciostmp (numaju,fecha) VALUE ('','$fechahoy')";
$mysqli->query($sel_fact);
$numajutmp=$mysqli-> insert_id ; 


$consulta2 = "DELETE FROM lista_preciostmp  WHERE numaju !='$numajutmp'";
$mysqli->query( $consulta2);


	$consulta = "SELECT MAX(codaju) AS cdgcombo FROM lista_precios ";
					$resultado = $mysqli->query($consulta);
					$row = $resultado->fetch_assoc();
					$id=$row["cdgcombo"];
					$numaju= $id + 1 ;	

?>
<html>
	<head>
		<title>Principal</title>
		<link href="../estilos/estilos.css" type="text/css" rel="stylesheet">
		<link href="../calendario/calendar-blue.css" rel="stylesheet" type="text/css">
		<script type="text/JavaScript" language="javascript" src="../calendario/calendar.js"></script>
		<script type="text/JavaScript" language="javascript" src="../calendario/lang/calendar-sp.js"></script>
		<script type="text/JavaScript" language="javascript" src="../calendario/calendar-setup.js"></script>
		<script type="text/javascript" src="../funciones/validar.js"></script>
		
		<script language="javascript">
		var cursor;
		if (document.all) {
		// Está utilizando EXPLORER
		cursor='hand';
		} else {
		// Está utilizando MOZILLA/NETSCAPE
		cursor='pointer';
		}
		

		
		function ventanaArticulos(){
				codigo=9999
				miPopup = window.open("ver_articulos.php?codigo="+codigo,"miwin","width=800,height=650,scrollbars=yes");
				document.getElementById("cantidad").select();
				actualizar_importe ();
		
		}
		
			function validararticulo(){
	
		
	
			      var codigobarras=document.getElementById("cdgbar").value;
			miPopup = window.open("comprobararticulo.php?cdgbar="+codigobarras, "frame_datos2","width=900,height=90,scrollbars=yes");
			document.getElementById("cantidad").select();
					//window.open("clientes.php?cdgcli="+cdgcli+"&detaju="+detaju+"&cedcli="+cedcli+"&numtel="+numtel);
			actualizar_importe ();
	
			}
	

		function cancelar() {
			location.href="index.php";
		}
		
		function limpiarcaja() {
			document.getElementById("detaju").value="";
			document.getElementById("cedcli").value="";
		}
		
			function limpiararticulo() {
			document.getElementById("cdgbar").value="";
			document.getElementById("dscart").value="";
			document.getElementById("descuento").value="";
			document.getElementById("cosart").value="";
			document.getElementById("importe").value="";
			document.getElementById("cantidad").value="";
			document.getElementById("mondes").value="";
		}
		
	
		
		function actualizar_importe()		{
	
			    	document.getElementById("importe").value="";
				var cosart=document.getElementById("cosart").value;
				var cantidad=document.getElementById("cantidad").value;
				var descuento=document.getElementById("descuento").value;
				var ivporc=document.getElementById("ivporc").value;
				
			
			
					if (document.getElementById("cob_iv").value==1) {
			
		          if(document.getElementById("cdgbar").value==0){
				
				tazaimp= (ivporc/100)+1; 
				total=cosart*cantidad;	             8849
				parcial_total=total/$tazaimp;
				descuento=parcial_total*descuento;  884.49
				
				total_sin_descuento=parcial_total-descuento;     7964 
				total_sin_impuesto=total_sin_descuento/tazaimp;    1035
				taza_impuesto=ivporc/100;
				
				impuesto=(total_sin_descuento*tazaimp)-total_sin_descuento;
				total_final=parcial_total;
				var original=parseFloat(total_final);
				var result=Math.round(original*100)/100 ;
				document.getElementById("importe").value=result;
				document.getElementById("impuesto").value=impuesto;
				document.getElementById("mondes").value=descuento;
				
				
				} else {
				
				
			
				total=cosart*cantidad;	
				
				tazaimpuesto = (ivporc/100);
				impuesto=total * tazaimpuesto;
				var original=parseFloat(total);
				var result=Math.round(original*100)/100 ;
				document.getElementById("importe").value=result;
				document.getElementById("impuesto").value=impuesto;
				document.getElementById("mondes").value=descuento;
				
				} 
				} else {
					

				total=cosart*cantidad;
		
			
				var original=parseFloat(total);
				var result=Math.round(original*100)/100 ;
				document.getElementById("importe").value=result;
				document.getElementById("impuesto").value="";
				document.getElementById("mondes").value=descuento;
			
			}

				}
			
			
	
			
		function validar_cabecera()
			{
			
		 if (confirm(" Combo Completo ? "))
			
				var mensaje="";
				if (document.getElementById("numaju").value=="") mensaje+="  - Numero de Ajuste\n";
				if (document.getElementById("detaju").value=="") mensaje+="  - Detalle de Lista\n";
			   // if (document.formulario_lineas.preciototal.value=="") mensaje+="  - Total del Ajuste no puede ser 0.00\n";
				if (document.formulario_lineas.filas.value=="0.00") mensaje+="  - NO ha ingresado ninguna linea\n";
				if (document.formulario_lineas.filas.value=="0,00") mensaje+="  - NO ha ingresado ninguna linea\n";
				if (document.formulario_lineas.filas.value=="0") mensaje+="  - NO ha ingresado ninguna linea\n";
	
		
			if (mensaje!="") {
					alert("Atencion, Los siguientes campos son obligatorios:\n\n"+mensaje);
			} else {
			
			document.getElementById("formulario").submit();
			
		//var combotipoajuste=document.getElementById("combotipoajuste").value;
		//miPopup = window.open("validar_combo.php?combotipoajuste="+combotipoajuste,"frame_datos1","width=900,height=90,scrollbars=yes");
		
		

				
				}
				}
			
		
		
		function validar() 
			{
	  
				var mensaje="";
				var mensaje="";
				var entero=0;
				var enteroo=0;
		         
		
				if (document.getElementById("cdgbar").value=="") mensaje="  - Código de articulo\n";
				if (document.getElementById("dscart").value=="") mensaje+="  - Descripción del articulo\n";
				
				if (document.getElementById("cantidad").value=="0.00") mensaje+="  - El precio no puede ser 0.00\n";
	   			if (document.getElementById("cantidad").value=="0") mensaje+="  - El precio  no puede ser 0.00\n";
				//if (document.getElementById("cantidad").value=="") mensaje+="  - El precio  no puede vacio\n";
				if (document.getElementById("cosart").value=="0") mensaje+="  - El precio no puede ser 0.00\n";
				if (document.getElementById("cosart").value=="0.00") mensaje+="  - EL Precio no puede ser 0.00\n";
				if (document.getElementById("cosart").value=="") { 
					
							mensaje+="  - Falta el Precio\n"; 
						} else {
							if (isNaN(document.getElementById("cosart").value)==true) {
								mensaje+="  - El Precio debe ser numerico\n";
							}
						}
				if (document.getElementById("cantidad").value=="") 
						{ 
						mensaje+="  - Falta la Precio\n";
						} else {
							entero=document.getElementById("cantidad").value;
							if (isNaN(entero)==true) {
								mensaje+="  - El Precio debe ser numerico\n";
							} else {
									document.getElementById("cantidad").value=entero;
								}
						}
				if (document.getElementById("descuento").value=="") 
						{ 
						document.getElementById("descuento").value=0 
						} else {
							actualizar_importe();	
							entero=document.getElementById("descuento").value;
							if (isNaN(entero)==true) {
								mensaje+="  - El descuento debe ser numerico\n";
							} else {
								document.getElementById("descuento").value=entero;
							}
						} 
				//if (document.getElementById("importe").value=="") mensaje+="  - Falta el Subtotal\n";
				//if (document.getElementById("importe").value=="0") mensaje+="  - El subtotal no puede ser 0\n";
				//if (document.getElementById("importe").value=="0.00") mensaje+="  - El Subtotal no puede ser 0.00\n";
				//if (document.getElementById("importe").value < "0") mensaje+="  - El Subtotal no puede ser menor a  0.00\n";
				
				if (mensaje!="") {
					alert("Atencion, los siguientes campos son necesarios:\n\n"+mensaje);
					document.getElementById("cdgbar").focus();
					document.getElementById("cdgbar").select();
				} else {
					document.getElementById("baseimponible").value=parseFloat(document.getElementById("baseimponible").value) + parseFloat(document.getElementById("importe").value);	//
					cambio_cob_iv();
					 actualizar_importe();
						cosart.disabled=false;
		                dscart.disabled=false;
					
			
					document.getElementById("formulario_lineas").submit();
					document.getElementById("cdgbar").value="";
					document.getElementById("dscart").value="";
					document.getElementById("cosart").value="";
					document.getElementById("cantidad").value="";
					document.getElementById("importe").value="";
					document.getElementById("descuento").value="";
					document.getElementById("cob_iv").value="";	
					document.getElementById("impuesto").value="";	
			   		document.getElementById("cdgbar").focus();

					
							
				}
			}
			
		function cambio_cob_iv() {
			var original=parseFloat(document.getElementById("baseimponible").value);
			var result=Math.round(original*100)/100 ;
			document.getElementById("baseimponible").value=result;
	
			document.getElementById("baseimpuestos").value= parseFloat(document.getElementById("impuesto"));
			var original1=parseFloat(document.getElementById("baseimpuestos").value);
			var result1=Math.round(original1*100)/100 ;
			document.getElementById("baseimpuestos").value=result1;
			var original2=parseFloat(result + result1);
			var result2=Math.round(original2*100)/100 ;
			document.getElementById("preciototal").value=result2;
			
		}	

//nombre del primer campo en la secuencia
siguienteCampo = ""
//nombre del formlario
nombreForm = ""

//funcion que gestiona el evento
function TelcaPulsada1( e ) {

   if ( window.event != null)				//IE4+
      tecla = window.event.keyCode;
   else if ( e != null ) 				//N4+ o W3C compatibles
      tecla = e.which;
   else
      return;
	
   if (tecla == 13) { 					//se pulso enter
      if ( siguienteCampo == 'fin' ) {			//fin de la secuencia, hace el submit
        validar();		//eliminar este alert para uso normal
         return false					//sustituir por return true para hacer el submit
      } else { 						//da el foco al siguiente campo
         eval('document.' + nombreForm + '.' + siguienteCampo + '.select()')
         return false
      }
   }
}

document.onkeydown = TelcaPulsada1;			//asigna el evento pulsacion tecla a la funcion
if (document.captureEvents)				//netscape es especial: requiere activar la captura del evento
	document.captureEvents(Event.KEYDOWN)
	
	

		
   function redondea(sVal, nDec){ 
    var n = parseFloat(sVal); 
    var s = "0.00"; 
    if (!isNaN(n)){ 
		 n = Math.round(n * Math.pow(10, nDec)) / Math.pow(10, nDec); 
     s = String(n); 
     s += (s.indexOf(".") == -1? ".": "") + String(Math.pow(10, nDec)).substr(1); 
     s = s.substr(0, s.indexOf(".") + nDec + 1); 
    } 
    return s; 
   } 

   function ponDecimales(nDec){ 
    document.formulario_lineas.descuento.value = redondea(document.formulario_lineas.descuento.value, nDec); 
	document.formulario_lineas.cosart.value = redondea(document.formulario_lineas.cosart.value, nDec); 
	document.formulario_lineas.cantidad.value = redondea(document.formulario_lineas.cantidad.value, nDec); 
	document.formulario_lineas.importe.value = redondea(document.formulario_lineas.importe.value, nDec); 

   } 


function nobackbutton(){	
   window.location.hash="no-back-button";	
   window.location.hash="Again-No-back-button" //chrome	
   window.onhashchange=function(){window.location.hash="no-back-button";}	
}

function inicio() {	

		document.getElementById("numaju").focus();
		document.getElementById("numaju").select();
		
		}
////////////////////////////////////////////////////////
		</script>
	    <style type="text/css">
<!--
.Estilo1 {color: #0000CC}
-->
        </style>
</head>
		<body onLoad="inicio(), nobackbutton();">
				<div id="">
			<div id="zonaVentanas">
				<div align="center">

				
					<div class="contenidoFactura2">
				<form id="formulario" name="formulario" method="post" action="guardar_combo.php">
					<table class="fuente8" width="98%" cellspacing=2 cellpadding=0 border=0>
						
						<tr>
							<td width="11%">&nbsp;</td>
					      <td width="27%">&nbsp;</td>					
						  <td width="6%">&nbsp;</td>
						  <td width="15%">&nbsp;</td>
						  <td width="5%">&nbsp;</td>
						  <td colspan="3"><div align="center" class="Estilo1">Lista de Precios  </div></td>
						  <td rowspan="2">&nbsp;</td>
						</tr>
						<tr>
						  <td>&nbsp;</td>
						  <td> 
						  
						  </td>
					      <td>&nbsp;</td>
					      <td><input name="numaju" type="hidden" class="cajaGrande" id="numaju" size="20" maxlength="15"  value="<?php echo  $numaju?>"  autocomplete= "off" style='text-align:center;' onFocus="siguienteCampo ='detaju' ,  nombreForm ='formulario';"></td>
						    <input NAME="cdgclifac" class="cajaMedia" id="cdgclifac"   type="hidden" >
							   <input NAME="limcre" class="cajaMedia" id="limcre"  type="hidden"    >
							   
							   			   <input NAME="salact" class="cajaMedia" id="salact"  type="hidden"    >
							      <?php $hoy=date("d/m/Y"); ?>		
					      <td>&nbsp;</td>
					      <td width="11%"><input name="fecaju" type="text" class="cajaGrande" id="fecaju" size="10" maxlength="10" style='text-align:center;' value="<?php echo $hoy?>" readonly></td>
					      <td width="7%">&nbsp;</td>
					      <td width="13%"><input name="cdgusu" type="text" class="cajaGrande" id="cdgusu" size="10" maxlength="10" style='text-align:center;' value="<?php echo $nomb?>" readonly></td>
					  </tr>
						<tr>
							<td width="11%">Detalle Lista </td>
					        <td colspan="7"><input NAME="detaju" type="text" class="cajaGrande" id="detaju"  maxlength="150"   autocomplete= "off"   onFocus="siguienteCampo ='cdgbar',  nombreForm ='formulario_lineas';"></td>
			        	
						    <td width="5%"><input name="cob_iv"  id="cob_iv" value="<?php echo $ivaimp?>" onChange="cambio_cob_iv()" type="hidden"></td>
					  </table>		
	
			  <input id="cliexe" name="cliexe" value="<?php echo $cliexe?>"  type="hidden">								
			  <input id="numajutmp" name="numajutmp" value="<?php echo $numajutmp?>" type="hidden">
			  <input id="baseimpuestos" name="baseimpuestos" value="<?php echo $baseimpuestos?>" type="hidden">  

			  <input id="baseimponible" name="baseimponible" value="<?php echo $baseimponible?>" type="hidden">
			  <input id="preciototal" name="preciototal" value="<?php echo $numajutmp?>" type="hidden">
			  <input id="accion" name="accion" value="alta" type="hidden">
			  <input id="filas" name="filas" value="0" type="hidden">
			  
		
				</form>
				
				<form id="formulario_lineas" name="formulario_lineas" method="post" action="frame_lineas.php" target="frame_lineas">
				<table class="" width="100%"  border="0" ID="Table10" >
				   <input id="cliexe2" name="cliexe2" value="<?php echo $cliexe?>"  type="hidden" >
				   	  <input id="filas" name="filas" value="0"  type="hidden" >	
					 <input id="preciotot" name="preciotot" value="<?php echo $preciotot?>"  type="hidden" >
					 <input id="ivporc" name="ivporc" value="" type="hidden">		
				  <tr>
				    <td   width="1%"></td>
					<td   width="4%" >Codigo</td>
                    
			 <td   width="10%"><input name="cdgbar" type="text"  id="cdgbar"   onChange="validararticulo()"   autocomplete= "off"  onFocus="siguienteCampo ='numaju';"   class="cajaGrande"  ></td>
			                       <td   width="4%" ><img src="../img/search-b-icon (5).png" width="32" height="32" onClick="ventanaArticulos()" onMouseOver="style.cursor=cursor" title="Buscar articulos"></td>
			                       <td   width="5%">Articulo</td>
			                       <input id="impuesto" name="impuesto" value="<?php echo $impuesto?>"  type="hidden">
					<td   width="20%"><input name="dscart" type="text"id="dscart" class="cajaGrande" autocomplete= "off"  disabled=true onChange="actualizar_importe()" onFocus="siguienteCampo ='cosart';"  ></td>
                    <input name="mondes" type="hidden" id="mondes">
					<td   width="5%"><div align="right"></div></td>
					<td   width="6%"><input NAME="cosart" type="hidden" style='text-align:right;'
					 id="cosart" autocomplete= "off" disabled=true onChange="actualizar_importe()"  class="cajaGrande" onFocus="ponDecimales(2) ; siguienteCampo ='cantidad';"></td>
					<td width="5%"><div align="right">Precio</div></td>
					<td width="5%"><input name="cantidad" type="text"  style='text-align:right;' id="cantidad"  class="cajaGrande" value="0.00"  autocomplete= "off"  onFocus=" actualizar_importe(), siguienteCampo ='fin'  ;"  ></td>
					
				<input NAME="descuento"  class="cajaGrande" autocomplete= "off" type="hidden"  style='text-align:right;' id="descuento"  value="0.00" onChange="actualizar_importe()" onFocus="ponDecimales(2); siguienteCampo ='fin';" >
					
					<td width="5%"><div align="right"></div></td>
					
					<td width="8%"><input name="importe" type="hidden"  id="importe"  value="0" style='text-align:right;' 
					onFocus="ponDecimales(2)"  class="cajaGrande" readonly></td>
					<td width="4%"><img src="../img/Arrow-Down_32x32-32.png" width="32" name="fin" id="fin" height="32" border="0" onClick="validar()" onMouseOver="style.cursor=cursor" title="Agregar articulo"></td>
				  </tr>
				</table>
			
				<input name="codarticulo" value="<?php echo $codarticulo?>" type="hidden" id="codarticulo">
				
				</div>
				
			
			<table class="fuente8" width="100%" cellspacing=0 cellpadding=3 border=0 ID="Table1">
						<tr class="cabeceraTabla">
						
							<td width="9%"><span >CODIGO</span></td>
							<td width="49%"><span >DETALLE</span></td>
							<td width="8%"><span></span></td>
							<td width="8%"><span >PRECIO</span></td>
							<td width="10%"><span></span></td>
							<td width="8%"><span></span></td>
							<td width="3%">&nbsp;</td>
						</tr>
				</table>
				<div id="lineaResultado2">
				  <iframe width="100%" height="360" id="frame_lineas" name="frame_lineas" frameborder="0">
                  <ilayer width="100%" height="60" id="frame_lineas" name="frame_lineas"></ilayer>
				  </iframe>
				</div>					
			  </div>
			  <div id="frmBusqueda" style="display:none">

			  </div>
				<div id="botonBusquedaAWGP">					
				  <div align="center">
				    <img src="../img/Symbol-Check_48x48-32.png" name="boton" width="48" height="48" border="0" class="aCentro"  id="boton"    onClick=" validar_cabecera(); " onMouseOver="style.cursor=cursor"  disabled="disabled" value="Deshabilitado">
					<img src="../img/Symbol-Delete_48x48-32.png" width="48" height="48" border="0" class="aCentro" onClick="cancelar()" onMouseOver="style.cursor=cursor">
				    <input id="codfamilia" name="codfamilia" value="<?php echo $codfamilia?>" type="hidden">
				    <input id="numajutmp" name="numajutmp" value="<?php echo $numajutmp?> " type="hidden">	
					
					<input id="preciototal" name="preciototal" value="<?php echo $preciototal?>" type="hidden">
					    
			      </div>
				</div>
			  		<iframe id="frame_datos1" name="frame_datos1" width="0" height="0" frameborder="0">
					<ilayer width="0" height="0" id="frame_datos1" name="frame_datos1"></ilayer>
					</iframe>
					<iframe id="frame_datos2" name="frame_datos2" width="0" height="0" frameborder="0">
					<ilayer width="0" height="0" id="frame_datos2" name="frame_datos2"></ilayer>
					</iframe>
		
			  </form>
			 </div>
    </div>
		</div>
	</body>
</html>





